import org.junit.Test;
import static org.junit.Assert.*;

public class TriangleCheckerTest {
    
    @Test
    public void testValidTriangle() {

        // Arrange
        float a = 2;
        float b = 3;
        float c = 4;

        // Act
        TriangleChecker.TriangleType normal = TriangleChecker.checkTriangle(a, b, c);

        // Assert
        assertEquals(TriangleChecker.TriangleType.NORMAL, normal);

        //Arrange
        a = 1; b = 10; c = 1;

        //Act
        TriangleChecker.TriangleType none = TriangleChecker.checkTriangle(a, b, c);

        //Assert
        assertEquals(TriangleChecker.TriangleType.NONE, none);

        //Arrange
        a = 3; b = 3; c = 2;

        //Act
        TriangleChecker.TriangleType iso = TriangleChecker.checkTriangle(a, b, c);

        //Assert
        assertEquals(TriangleChecker.TriangleType.ISOSCELES, iso);

        //Arrange
        a = 4; b = 4; c = 4;

        //Act
        TriangleChecker.TriangleType equi = TriangleChecker.checkTriangle(a, b, c);

        //Assert
        assertEquals(TriangleChecker.TriangleType.EQUILATERAL, equi);

    }

}
